Subject: [Softwires] MAP support of IPv4 prefixes?

From: Rémi Després <[email-masked]>
Date: Wed, 14 Mar 2012 11:39:13 +0100

Ole, co-authors of draft-mdt-softwire-mapping-address-and-port-02,

Sec. 1 says::
"the residual IPv4 over IPv6 mechanisms must be capable of...Provisioning an IPv4 prefix, an IPv4 address or a shared IPv4 address."
(We all agree, I think, that this is important.)

Sec.5.2 says:
" The MAP IPv6 address is created by concatenating the End-user IPv6 prefix with the MAP subnet-id and the interface-id as specified in Section 6."

Sec6 says:
"The Interface identifier format is based on the format specified in section 2.2 of [RFC6052], with the added PSID format field" (i.e. with at least a full embedded IPv4 address)

What should be done for a CE that is provisioned an IPv4 prefix, i.e. several IPv4 addresses, is in my understanding unclear.
Could you please clarify the intent?

Thanks,
RD

---

From: Ole Trøan <[email-masked]>
Date: Wed, 14 Mar 2012 05:17:57 -0700

Remi,

> Could you please clarify the intent?

section 6 says:
   In the case of an IPv4 prefix, the IPv4 address field is right-padded
   with zeroes up to 32 bits.  The PSID field is left-padded to create a
   16 bit field.  For an IPv4 prefix or a complete IPv4 address, the
   PSID field is zero.

if you find this unclear, feel free to contribute better text.

cheers,
Ole

---

From: Rémi Després <[email-masked]>
Date: Wed, 14 Mar 2012 13:47:54 +0100

>   16 bit field.  For an IPv4 prefix or a complete IPv4 address, the

OK 

> if you find this unclear, feel free to contribute better text.

I have to agree that the spec is already clear enough. 
Sorry for how I asked the question.

Maybe you could improve the first sentence of sec. 6 to say::
"The Interface identifier format is based on the format specified in section 2.2 of [RFC6052], with the added PSID format field, or with an IPv4 prefix instead of an IPv4 address." 

Thanks,
RD